Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025634
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2014-02-03 10:222014-02-12 18:29
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q2
StatusclosedFix in branchFixed in SCM revisione698ee97b844
ProjectionnoneETAnoneTarget Version3.0PR14Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todbaz
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2013-11-07
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/cd5e1a38c069995d64d183c4e4e6d41259f5bed9 [^]
Triggers an Emergency PackNo
Summary

0025634: Funnel icon is kept after removing filters defined in a saved view

DescriptionHaving a saved view that includes a filter, first time funnel icon is clicked to remove filtering the icon remains though the filter is correctly removed.
Steps To Reproduce-In a professional instance
-Open Sales Order window, remove default filter, filter docno: 1000001
-Save view and set as default
-Close Sales Order window and reopen it -> it appears filtered (OK)
-Click on funnel icon:
  * All records are shown again (OK)
  * Funnel icon remains: INCORRECT-> it should have been removed as no filtering is applied
-Note if funnel icon is clicked second time it is correctly removed
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00256353.0PR14Q2 closedalostale FK drop down restriction is kept after removing saved view filter 
depends on defect 00256363.0PR14Q2 closedalostale Saved view filter reapplied after adding a column in grid 

-  Notes
(0063850)
alostale (developer)
2014-02-03 10:43

Regression: works fine in mp27
(0063889)
alostale (developer)
2014-02-04 15:30

see notes in issue 0025636
(0063891)
hgbot (developer)
2014-02-04 16:13

Repository: erp/devel/pi
Changeset: e698ee97b844cfac10002299da1281ca8ee08789
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Feb 04 16:12:14 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/e698ee97b844cfac10002299da1281ca8ee08789 [^]

fixed bug 25634, fixed bug 25635, fixed bug 25636

  Proper management of filtering removal within windows with saved views that
  include filtering.

  This filtering was preserved in initialCriteria which was retrieved after filter
  was removed.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0063903)
dbaz (developer)
2014-02-04 20:29

Reviewed @ changeset: 21915 - 5915bbb61611
(0064156)
hudsonbot (developer)
2014-02-12 18:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d1a5bb862230 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-02-03 10:22 alostale New Issue
2014-02-03 10:22 alostale Assigned To => AugustoMauch
2014-02-03 10:22 alostale Modules => Core
2014-02-03 10:22 alostale Triggers an Emergency Pack => No
2014-02-03 10:29 alostale Relationship added related to 0025635
2014-02-03 10:34 alostale Relationship added depends on 0025636
2014-02-03 10:43 alostale Regression level => Production - QA Approved
2014-02-03 10:43 alostale Note Added: 0063850
2014-02-03 10:43 alostale Priority normal => immediate
2014-02-03 18:41 AugustoMauch Regression level Production - QA Approved => Production - Confirmed Stable
2014-02-03 18:41 AugustoMauch Regression date => 2013-11-07
2014-02-03 18:41 AugustoMauch Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/cd5e1a38c069995d64d183c4e4e6d41259f5bed9 [^]
2014-02-04 15:30 alostale Assigned To AugustoMauch => alostale
2014-02-04 15:30 alostale Note Added: 0063889
2014-02-04 16:13 hgbot Checkin
2014-02-04 16:13 hgbot Note Added: 0063891
2014-02-04 16:13 hgbot Status new => resolved
2014-02-04 16:13 hgbot Resolution open => fixed
2014-02-04 16:13 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e698ee97b844cfac10002299da1281ca8ee08789 [^]
2014-02-04 16:14 alostale Review Assigned To => dbaz
2014-02-04 20:29 dbaz Note Added: 0063903
2014-02-04 20:29 dbaz Status resolved => closed
2014-02-04 20:29 dbaz Fixed in Version => 3.0MP32
2014-02-12 18:29 hudsonbot Checkin
2014-02-12 18:29 hudsonbot Note Added: 0064156


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker